#! /usr/bin/env python
#
# This example turns on and off three pins of a PC parallel port as fast
# as it can.  This example makes the following assumptions:
#
# 1. The script is running on x86 Linux.
#
# 2. The Linux 'portio' driver found at
#
#        http://www.imca.aps.anl.gov/mx/src/portio-2.0.tar.gz
#
#    has been installed.
#
# 3. The first printer port is being managed by 'portio' via
#    a command line like
#
#        insmod portio ports='0x378-0x37f'
#

import sys, os

#  Add the Mp modules directory to the Python module load path.

sys.path[:0] = [ "/opt/mx/lib/mp" ]

import Mp

record_list = Mp.setup_database( "./mlpt.dat" )

pin2 = record_list.get_record( "pin2" )

pin3 = record_list.get_record( "pin3" )

pin4 = record_list.get_record( "pin4" )

while ( 1 ):
	pin2.write( 1 )

	pin3.write( 1 )

	pin4.write( 1 )

	pin2.write( 0 )

	pin3.write( 0 )

	pin4.write( 0 )

